package Bencher::ScenarioR::LogGer::OutputStartup;

our $VERSION = 0.011; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 0.0002,
        participant => "init-with-LogDispatchOutput",
        rate => 8.7,
        samples => 23,
        time => 120,
        vs_slowest => 1,
      },
      {
        errors => 0.0001,
        participant => "init-with-FileWriteRotate",
        rate => 20,
        samples => 20,
        time => 50,
        vs_slowest => 2.3,
      },
      {
        errors => 6e-05,
        participant => "init-with-Syslog",
        rate => 30,
        samples => 21,
        time => 33,
        vs_slowest => 3.5,
      },
      {
        errors => 6.1e-05,
        participant => "init-with-LogAny",
        rate => 49,
        samples => 20,
        time => 20,
        vs_slowest => 5.7,
      },
      {
        errors => 5.9e-05,
        participant => "init-with-Composite",
        rate => 53,
        samples => 21,
        time => 19,
        vs_slowest => 6.1,
      },
      {
        errors => 4.1e-05,
        participant => "init-with-DirWriteRotate",
        rate => 58,
        samples => 20,
        time => 17,
        vs_slowest => 6.7,
      },
      {
        errors => 3.4e-05,
        participant => "init-with-File",
        rate => 74,
        samples => 21,
        time => 13,
        vs_slowest => 8.6,
      },
      {
        errors => 5.4e-05,
        participant => "init-with-Screen",
        rate => 75,
        samples => 21,
        time => 13,
        vs_slowest => 8.6,
      },
      {
        errors => 3.8e-05,
        participant => "init-with-Callback",
        rate => 75,
        samples => 20,
        time => 13,
        vs_slowest => 8.7,
      },
      {
        errors => 2.3e-05,
        participant => "init-with-String",
        rate => 75,
        samples => 20,
        time => 13,
        vs_slowest => 8.7,
      },
      {
        errors => 3.9e-05,
        participant => "init-with-Array",
        rate => 76,
        samples => 21,
        time => 13,
        vs_slowest => 8.7,
      },
      {
        errors => 2.5e-05,
        participant => "init-with-ArrayWithLimits",
        rate => 76,
        samples => 20,
        time => 13,
        vs_slowest => 8.7,
      },
      {
        errors => 3e-05,
        participant => "init-with-Null",
        rate => 76,
        samples => 21,
        time => 13,
        vs_slowest => 8.8,
      },
      {
        errors => 3.8e-05,
        participant => "load-Screen",
        rate => 83,
        samples => 20,
        time => 12,
        vs_slowest => 9.6,
      },
      {
        errors => 3.3e-05,
        participant => "load-LogDispatchOutput",
        rate => 86,
        samples => 20,
        time => 12,
        vs_slowest => 9.9,
      },
      {
        errors => 4.9e-05,
        participant => "load-Composite",
        rate => 110,
        samples => 20,
        time => 9.3,
        vs_slowest => 12,
      },
      {
        errors => 6e-05,
        participant => "load-String",
        rate => 120,
        samples => 20,
        time => 8.5,
        vs_slowest => 14,
      },
      {
        errors => 2.9e-05,
        participant => "load-Syslog",
        rate => 120,
        samples => 20,
        time => 8.5,
        vs_slowest => 14,
      },
      {
        errors => 7e-05,
        participant => "load-Array",
        rate => 120,
        samples => 20,
        time => 8.5,
        vs_slowest => 14,
      },
      {
        errors => 2.3e-05,
        participant => "load-LogAny",
        rate => 120,
        samples => 20,
        time => 8.4,
        vs_slowest => 14,
      },
      {
        errors => 4.5e-05,
        participant => "load-DirWriteRotate",
        rate => 120,
        samples => 20,
        time => 8.4,
        vs_slowest => 14,
      },
      {
        errors => 3.7e-05,
        participant => "load-File",
        rate => 120,
        samples => 20,
        time => 8.3,
        vs_slowest => 14,
      },
      {
        errors => 2.1e-05,
        participant => "load-ArrayWithLimits",
        rate => 120,
        samples => 20,
        time => 8.3,
        vs_slowest => 14,
      },
      {
        errors => 4.1e-05,
        participant => "load-FileWriteRotate",
        rate => 120,
        samples => 20,
        time => 8.3,
        vs_slowest => 14,
      },
      {
        errors => 1.3e-05,
        participant => "load-Callback",
        rate => 120,
        samples => 20,
        time => 8.3,
        vs_slowest => 14,
      },
      {
        errors => 4.5e-05,
        participant => "load-Null",
        rate => 170,
        samples => 20,
        time => 6,
        vs_slowest => 19,
      },
      {
        errors => 5.7e-05,
        participant => "baseline",
        rate => 170,
        samples => 20,
        time => 5.8,
        vs_slowest => 20,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "LogGer::OutputStartup",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 3178.589,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 3197.722,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 3270.015,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 3059.554,
                                              stepping                     => 7,
                                            },
                                          ],
      "func.elapsed_time"              => 12.5067059993744,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                              => "1.040",
                                            "Bencher::Scenario::LogGer::OutputStartup" => undef,
                                            "Benchmark::Dumb"                          => 0.111,
                                            "Devel::Platform::Info"                    => 0.16,
                                            "Log::ger::Output::Array"                  => "0.020",
                                            "Log::ger::Output::ArrayWithLimits"        => 0.001,
                                            "Log::ger::Output::Callback"               => 0.002,
                                            "Log::ger::Output::Composite"              => 0.007,
                                            "Log::ger::Output::DirWriteRotate"         => 0.002,
                                            "Log::ger::Output::File"                   => 0.002,
                                            "Log::ger::Output::FileWriteRotate"        => 0.001,
                                            "Log::ger::Output::LogAny"                 => 0.006,
                                            "Log::ger::Output::LogDispatchOutput"      => 0.001,
                                            "Log::ger::Output::Null"                   => "0.020",
                                            "Log::ger::Output::Screen"                 => 0.005,
                                            "Log::ger::Output::String"                 => "0.020",
                                            "Log::ger::Output::Syslog"                 => 0.001,
                                            "perl"                                     => "v5.26.0",
                                            "Sys::Info"                                => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 26]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "jessie",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.16.0-4-amd64",
                                            kname    => "Linux",
                                            kvers    => "3.16.0-4-amd64",
                                            osflag   => "linux",
                                            oslabel  => "Debian",
                                            osname   => "GNU/Linux",
                                            osvers   => "8.0",
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Debian GNU/Linux 8 \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tDebian\nDescription:\tDebian GNU/Linux 8.0 (jessie)\nRelease:\t8.0\nCodename:\tjessie",
                                                          "uname -a"        => "Linux builder 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u2 (2016-10-19) x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.16.0-4-amd64",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::LogGer::OutputStartup",
      "func.scenario_module_md5sum"    => "2c922207574cc87cd6748d198b67109b",
      "func.scenario_module_mtime"     => 1499943709,
      "func.scenario_module_sha1sum"   => "129836f865b60d24782e42579d87b86148024946",
      "func.scenario_module_sha256sum" => "3cbac91485ccf4718cbfa781a1eeefb04dcca0d3b74586905682aad6e73d6ed8",
      "func.time_end"                  => 1501567529.49803,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1501567516.99133,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: 

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

